summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author pomfland <pomfland@tfwno.gf>2015-08-22 23:31:15 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-22 23:31:15 +0700
commit6f4c1fff930794d17463fa9109327b09e3009e21 (patch)
treed5f5906fc03c8567c6a56f3c0091501875ea3e58 /network
parentfcfd3d0895d104cf6331abc087d9c1fe058214ef (diff)
downloadslackbuilds-6f4c1fff930794d17463fa9109327b09e3009e21.tar.gz
slackbuilds-6f4c1fff930794d17463fa9109327b09e3009e21.tar.xz
network/palemoon: Added (Web browser).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/palemoon/README5
-rw-r--r--network/palemoon/palemoon.SlackBuild101
-rw-r--r--network/palemoon/palemoon.desktop13
-rw-r--r--network/palemoon/palemoon.info10
-rw-r--r--network/palemoon/slack-desc18
5 files changed, 147 insertions, 0 deletions
diff --git a/network/palemoon/README b/network/palemoon/README
new file mode 100644
index 0000000000..4efd11c931
--- /dev/null
+++ b/network/palemoon/README
@@ -0,0 +1,5 @@
+Pale Moon is a fork of pre-Australis Mozilla Firefox aiming to be fast,
+efficient and easy to use.
+
+This SlackBuild just installs a binary package provided by the project. It
+doesn't attempt to build the browser from source.
diff --git a/network/palemoon/palemoon.SlackBuild b/network/palemoon/palemoon.SlackBuild
new file mode 100644
index 0000000000..ae9e0692b2
--- /dev/null
+++ b/network/palemoon/palemoon.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for palemoon
+
+# Copyright 2015 pomfland
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=palemoon
+VERSION=${VERSION:-25.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+case "$( uname -m )" in
+ i686) ARCH=i686 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# we don't need cflags since nothing is being compiled here.
+# we do need to check the architecture though and abort when it's not
+# supported.
+if [ ! "$ARCH" = "i686" ] && [ ! "$ARCH" = "x86_64" ]; then
+ echo "Sorry, binary packages are available only for i686 and x86_64. Aborting."
+ exit 1
+fi
+
+# check for sse2 flag and abort if not found
+[[ $(cat /proc/cpuinfo|grep sse2) ]] || {
+ echo "No required SSE2 support detected. Aborting."
+ exit 1; }
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.en-US.linux-$ARCH.tar.bz2
+chown -R root:root $PRGNAM
+find -L . \
+\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+-o -perm 511 \) -exec chmod 755 {} \; -o \
+\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# create directories
+mkdir -p $PKG/opt
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/share/icons/hicolor/{16x16,32x32,48x48,128x128}/apps
+mkdir -p $PKG/usr/share/applications
+
+# install pale moon into /opt
+cp -vr palemoon $PKG/opt
+
+# link stuff
+## binary
+ln -s $PKG/opt/palemoon/palemoon $PKG/usr/bin/palemoon
+## icons
+ln -s $PKG/opt/palemoon/browser/chrome/icons/default/default16.png $PKG/usr/share/icons/hicolor/16x16/apps/palemoon.png
+ln -s $PKG/opt/palemoon/browser/chrome/icons/default/default32.png $PKG/usr/share/icons/hicolor/32x32/apps/palemoon.png
+ln -s $PKG/opt/palemoon/browser/chrome/icons/default/default48.png $PKG/usr/share/icons/hicolor/48x48/apps/palemoon.png
+ln -s $PKG/opt/palemoon/browser/icons/mozicon128.png $PKG/usr/share/icons/hicolor/128x128/apps/palemoon.png
+
+# install .desktop file
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/palemoon/palemoon.desktop b/network/palemoon/palemoon.desktop
new file mode 100644
index 0000000000..2538f4601b
--- /dev/null
+++ b/network/palemoon/palemoon.desktop
@@ -0,0 +1,13 @@
+[Desktop Entry]
+Version=1.0
+Name=Pale Moon Web Browser
+Comment=Browse the World Wide Web
+Keywords=Internet;WWW;Browser;Web;Explorer
+Exec=palemoon %u
+Terminal=false
+X-MultipleArgs=false
+Type=Application
+Icon=palemoon
+Categories=Network;WebBrowser;Internet
+MimeType=text/html;text/xml;application/xhtml+xml;application/xml;application/rss+xml;application/rdf+xml;image/gif;image/jpeg;image/png;x-scheme-handler/http;x-scheme-handler/https;x-scheme-handler/ftp;x-scheme-handler/chrome;video/webm;application/x-xpinstall;
+StartupNotify=true
diff --git a/network/palemoon/palemoon.info b/network/palemoon/palemoon.info
new file mode 100644
index 0000000000..26d846422e
--- /dev/null
+++ b/network/palemoon/palemoon.info
@@ -0,0 +1,10 @@
+PRGNAM="palemoon"
+VERSION="25.6.0"
+HOMEPAGE="http://linux.palemoon.org/"
+DOWNLOAD="http://linux.palemoon.org/files/25.6.0/palemoon-25.6.0.en-US.linux-i686.tar.bz2"
+MD5SUM="2a7ff678a34f8f909303ff1f4c2aac24"
+DOWNLOAD_x86_64="http://linux.palemoon.org/files/25.6.0/palemoon-25.6.0.en-US.linux-x86_64.tar.bz2"
+MD5SUM_x86_64="53218d876744d80e68eb23bcae70c51d"
+REQUIRES=""
+MAINTAINER="pomfland"
+EMAIL="pomfland@tfwno.gf"
diff --git a/network/palemoon/slack-desc b/network/palemoon/slack-desc
new file mode 100644
index 0000000000..36e2b9249c
--- /dev/null
+++ b/network/palemoon/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+palemoon: palemoon (Web browser)
+palemoon:
+palemoon: Pale Moon is a fork of pre-Australis Mozilla Firefox aiming to be
+palemoon: fast, efficient and easy to use.
+palemoon:
+palemoon:
+palemoon:
+palemoon:
+palemoon:
+palemoon: